.TH LOCALIZE 1 "Oct 4 1994" "Stanford University" "SUIF Compiler"
.SH NAME
localize \- make global variables local when possible
.SH SYNOPSIS
.B localize
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I localize
program turns global variables that are used in only a single
procedure into static local variables for the procedure.  Note that
variables with external linkage might be used outside all the files
this pass can see, so they cannot be turned into locals; only
variables in the file symbol table are eligible for localization.
.SH HISTORY
This program was written by Chris Wilson.
